エラー

エラーについて

コミュニティ: 

https://qiita.com/hamee-dev/items/fd8b51eba26240b73bd4

上記の内容通りに進めましたがファイル読み込み時にでエラーが出てしまいます。

API通信でエラーが発生しました。以下詳細
code: 001011
message: POSTパラメータにclient_id,client_secretが指定されていません。

https://developer.next-engine.com/api/param/message
こちらを確認すると古いバージョンのSDKの可能性があるとのことですが、最新版はこちら以外のところにありますでしょうか。

https://github.com/hamee-dev/sdk-php

PHP新SDKの使い方

コミュニティ: 

https://developer.next-engine.com/tutorial/sample-fuelphp/api-beginning内の指示に従ってvagrantをインストールし、
クライアントIDとクライアントシークレットをfuel/app/config/nextengine.phpに記述してauth/loginを実行してもエラーが帰ってきてしまいます。
おそらくSDKのバージョンが古いのが原因だと思うのですか、vagrant内に新SDKを展開する方法を教えていただきたいです。
または新SDKのインストールマニュアルを頂きたいです。
よろしくお願いいたします。

access tokenの更新失敗

既存の質問への追加として
https://developer.next-engine.com/questions/578#comment-1787
に書き込んだのですが、埋もれてしまっているかも知れませんので、新規の質問として改めて書き込みますことをご了承ください。

バッチでAPIを実行する際、
「access tokenが有効期限切れ、refresh tokenが期限内という状態になった場合、初回のAPI実行のみエラーにはならず新しいaccess tokenとrefresh tokenが発行されます」
とのことですが、
上記条件に該当する初回API実行時にも、たまにエラー(002002: access_token[xxxxx]が不正です。)が発生することがあります。
その場合、バッチでは二度と新しいaccess_tokenはもらえないので、アプリにアクセスしてaccess_tokenをもらうしかありません。

一時間おきにバッチ実行した場合も、一日に一回実行した場合も、数日から二週間に一回くらいのペースでエラーになりました。